Bug 1308435 - IPA DNS record modification operation should be single operation while changing case of value
IPA DNS record modification operation should be single operation while changi...
Status: NEW
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: ipa (Show other bugs)
7.3
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: IPA Maintainers
Namita Soman
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-15 03:51 EST by Abhijeet Kasurde
Modified: 2017-02-04 00:34 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Abhijeet Kasurde 2016-02-15 03:51:38 EST
Description of problem:
If user modifies DNS record from uppercase to lowercase or vice-versa, then operation fails with error 

'ipa: ERROR: Type or value exists:'

It takes two operation to change case of record.

# ipa dnsrecord-show testrelm.test _kerberos 
  Record name: _kerberos
  TXT record: testrelm.test
# ipa dnsrecord-mod testrelm.test _kerberos --txt-rec=TESTRELM.TEST
ipa: ERROR: Type or value exists:

First step is to change original value to some temp value and then temp value to desired value.

# ipa dnsrecord-mod testrelm.test _kerberos --txt-rec=INTERIMTESTRELM.TEST
  Record name: _kerberos
  TXT record: INTERIMTESTRELM.TEST
# ipa dnsrecord-mod testrelm.test _kerberos --txt-rec=testrelm.test
  Record name: _kerberos
  TXT record: testrelm.test

Version-Release number of selected component (if applicable):
ipa-server-4.2.0-15.el7_2.6.x86_64

How reproducible:
100%

Steps to Reproduce:
1. Add DNS record
2. Modify DNS record from uppercase to lowercase or vice-versa
3. Observe failure
3. Perfom two steps to achieve desired result 

# ipa dnsrecord-mod testrelm.test _kerberos --txt-rec=INTERIMTESTRELM.TEST
  Record name: _kerberos
  TXT record: INTERIMTESTRELM.TEST
# ipa dnsrecord-mod testrelm.test _kerberos --txt-rec=testrelm.test
  Record name: _kerberos
  TXT record: testrelm.test


Actual results:
DNS record modification takes two operations to change case of value

Expected results:
DNS record modification should be able to handle change case in single operation.
Comment 2 Petr Spacek 2016-02-16 05:19:33 EST
Upstream ticket:
https://fedorahosted.org/freeipa/ticket/3998
Comment 3 Petr Spacek 2016-02-16 05:20:48 EST
IPA is using inappropriate LDAP matching rule to handle TXT (and almost all other) record types. This should be handled by DS syntax plugin.
Comment 4 Petr Vobornik 2016-02-16 11:06:03 EST
This issue is not planned to be fixed in upcoming FreeIPA upstream release - 4.4. The status of the effort could be checked in upstream ticket in comment 2.

Note You need to log in before you can comment on or make changes to this bug.